Create a Menu
Creates a Menu
POST
/
api
/
v2
/
platform
/
menus
Create a Menu
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({menu: {name: 'Main Menu', locale: 'en-US'}})
};
fetch('http://{defaultHost}/api/v2/platform/menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/menus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"menu": {
"name": "Main Menu",
"locale": "en-US"
}
}
'{
"data": {
"id": "22",
"type": "menu",
"attributes": {
"name": "Main Menu",
"location": "header",
"locale": "en",
"created_at": "2022-11-08T19:34:29.089Z",
"updated_at": "2022-11-08T19:34:29.097Z"
},
"relationships": {
"menu_items": {
"data": [
{
"id": "99",
"type": "menu_item"
}
]
}
}
}
}{
"error": "Name can't be blank, Locale can't be blank, and Location is not included in the list",
"errors": {
"name": [
"can't be blank"
],
"locale": [
"can't be blank"
],
"location": [
"is not included in the list"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a Menu
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({menu: {name: 'Main Menu', locale: 'en-US'}})
};
fetch('http://{defaultHost}/api/v2/platform/menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/menus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"menu": {
"name": "Main Menu",
"locale": "en-US"
}
}
'{
"data": {
"id": "22",
"type": "menu",
"attributes": {
"name": "Main Menu",
"location": "header",
"locale": "en",
"created_at": "2022-11-08T19:34:29.089Z",
"updated_at": "2022-11-08T19:34:29.097Z"
},
"relationships": {
"menu_items": {
"data": [
{
"id": "99",
"type": "menu_item"
}
]
}
}
}
}{
"error": "Name can't be blank, Locale can't be blank, and Location is not included in the list",
"errors": {
"name": [
"can't be blank"
],
"locale": [
"can't be blank"
],
"location": [
"is not included in the list"
]
}
}
